function SVD_plot(Kgain)
    % SVD_PLOT
    % Plots the singualr values of the Kalman gain matrix versus the
    % simulation time.
    
    l = size(Kgain.data, 3);
    values = zeros(10, l);
    time = Kgain.Time;
    
    % Compute the singular values for the matrices in the array.
    for i = 1:l
        values(:,i) = svd(Kgain.data(:,:,i));
    end
    
    % Plot the singular values versus the simulation time as subplots on 
    % the same figure.
    for k = 1:10
        subplot(5,2,k), plot(time, values(k,:));
    end
end