function quad = draw_quadrotor(position)  % draw the quadrotor in 3d after simulation

x=position(1);
y=position(2);
z=position(3);
phi=position(4);
theta=position(5);
psi=position(6);

% rot = [ cos(phi)*cos(theta)   cos(phi)*sin(theta)*sin(psi) - sin(phi)*cos(psi)   cos(phi)*sin(theta)*cos(psi) + sin(phi)*sin(psi);...
%         sin(phi)*cos(theta)   sin(phi)*sin(theta)*sin(psi) + cos(phi)*cos(psi)   sin(phi)*sin(theta)*cos(psi) - cos(phi)*sin(psi);...
%         -sin(theta)            cos(theta)*sin(psi)                                   cos(theta)*cos(psi)                         ]

% rotation matrix
rot=[cos(psi)*cos(theta), -sin(psi)*cos(phi)+cos(psi)*sin(theta)*sin(phi), sin(psi)*sin(phi)+cos(psi)*sin(theta)*cos(phi);...
     sin(psi)*cos(theta),  cos(psi)*cos(phi)+sin(psi)*sin(theta)*sin(phi), -cos(psi)*sin(phi)+sin(psi)*sin(theta)*cos(phi);...
     -sin(theta),         cos(theta)*sin(phi),                             cos(theta)*cos(phi)];

 % quadrotor sketch
circ_x=[0.15 0.1 0 -0.1 -0.15 -0.1 0 0.1 0.15];
circ_y=[0 0.1 0.15 0.1 0 -0.1 -0.15 -0.1 0];
circ_z=[0 0 0 0 0 0 0 0 0];

% draw the quadrotor
points=[-0.25 0.25;0 0;0 0];
quad.a=line(x+rot(1,:)*points,y+rot(2,:)*points,z+rot(3,:)*points,'linewidth',2,'color','black');
points=[0 0;-0.25 0.25;0 0];
quad.b=line(x+rot(1,:)*points,y+rot(2,:)*points,z+rot(3,:)*points,'linewidth',2,'color','black');
points=[circ_x+0.25;circ_y;circ_z];
quad.c=line(x+rot(1,:)*points,y+rot(2,:)*points,z+rot(3,:)*points,'linewidth',2,'color','red');
points=[circ_x;circ_y+0.25;circ_z];
quad.d=line(x+rot(1,:)*points,y+rot(2,:)*points,z+rot(3,:)*points,'linewidth',2,'color','blue');
points=[circ_x-0.25;circ_y;circ_z];
quad.e=line(x+rot(1,:)*points,y+rot(2,:)*points,z+rot(3,:)*points,'linewidth',2,'color','blue');
points=[circ_x;circ_y-0.25;circ_z];
quad.f=line(x+rot(1,:)*points,y+rot(2,:)*points,z+rot(3,:)*points,'linewidth',2,'color','blue');
