% draw the quadrotor in 3d after simulation

screen = get(0,'screensize');
visual = figure(2);
set(visual,'position',[2 65 screen(3)-4 screen(4)-170]);
clf(visual)
hold on;

cameratoolbar('show');
axis vis3d;
view(3);
zoom(0.6);

% delete these 2 for more speed
set(gcf,'menubar','figure','renderer','opengl'); 
set(gca,'Visible','On','Box','On','XGrid', 'on','YGrid', 'on','ZGrid', 'on','projection','perspective');

% draw fixed frame reference
line([0,0.5],[0,0],[0,0],'linewidth',2,'color','red');
line([0,0],[0,0.5],[0,0],'linewidth',2,'color','black');
line([0,0],[0,0],[0,0.5],'linewidth',2,'color','green');
line([-1,1],[1,1],[0,0],'linewidth',2,'color','black');
line([-1,1],[-1,-1],[0,0],'linewidth',2,'color','black');
line([1,1],[-1,1],[0,0],'linewidth',2,'color','black');
line([-1,-1],[-1,1],[0,0],'linewidth',2,'color','black');

text(0.6,0,0,'X','fontsize',13);
text(0,0.6,0,'Y','fontsize',13);
text(0,0,0.6,'Z','fontsize',13);

for i=1:1:length(position),
    if (i>1),
        % delete the quadrotor drawing in the old position
        drawnow;
        delete(quad.a);
        delete(quad.b);
        delete(quad.c);
        delete(quad.d);
        delete(quad.e);
        delete(quad.f);
        line([position(i-1,1),position(i,1)],[position(i-1,2),position(i,2)],[position(i-1,3),position(i,3)],'linewidth',1,'color','yellow');
%        line([position(i-10,1),position(i,1)],[position(i-10,2),position(i,2)],[position(i-10,3),position(i,3)],'linewidth',1,'color','yellow');
    end
    quad=draw_quadrotor(position(i,:));
    
%   set the camera position and target

    camtarget_x=position(i,1)/2;
    camtarget_y=position(i,2)/2;
    camtarget_z=position(i,3)/2;
    campos_x=(camtarget_x/2+camtarget_y)*6-2;
    campos_y=(camtarget_y/2-camtarget_x)*6-1;
    campos_z=camtarget_z+sqrt(campos_x^2+campos_y^2)/6+3;
    
    camtarget([camtarget_x,camtarget_y,camtarget_z]);     
    campos([campos_x,campos_y,campos_z]);
    
%   campos([position(i,1)-2,position(i,2)-1,position(i,3)+3]);
%   camtarget([position(i,1),position(i,2),position(i,3)]);    
    
end